Initial import of eigen 3.1.1

Added a README.android and a MODULE_LICENSE_MPL2 file.
Added empty Android.mk and CleanSpec.mk to optimize Android build.
Non MPL2 license code is disabled in ./Eigen/src/Core/util/NonMPL2.h.
Trying to include such files will lead to an error.

Change-Id: I0e148b7c3e83999bcc4dfaa5809d33bfac2aac32
diff --git a/scripts/buildtests.in b/scripts/buildtests.in
new file mode 100755
index 0000000..7026373
--- /dev/null
+++ b/scripts/buildtests.in
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+if [[ $# != 1 || $1 == *help ]]
+then
+  echo "usage: ./check regexp"
+  echo "  Builds tests matching the regexp."
+  echo "  The EIGEN_MAKE_ARGS environment variable allows to pass args to 'make'."
+  echo "    For example, to launch 5 concurrent builds, use EIGEN_MAKE_ARGS='-j5'"
+  exit 0
+fi
+
+TESTSLIST="@EIGEN_TESTS_LIST@"
+targets_to_make=`echo "$TESTSLIST" | egrep "$1" | xargs echo`
+
+if [ -n "${EIGEN_MAKE_ARGS:+x}" ]
+then
+  make $targets_to_make ${EIGEN_MAKE_ARGS}
+else
+  make $targets_to_make
+fi
+exit $?
+